org.apache.struts2.portlet.servlet

## Class PortletHttpSession

- java.lang.Object
- - org.apache.struts2.portlet.servlet.PortletHttpSession

- All Implemented Interfaces:
    javax.servlet.http.HttpSession

      public class PortletHttpSession
      extends Object
      implements javax.servlet.http.HttpSession

  Wrapper object exposing a `PortletSession` as a `HttpSession` instance. Clients accessing this session object will in fact operate on the `PortletSession` object wrapped by this session object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortletHttpSession(javax.portlet.PortletSession portletSession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAttribute(String name)`
    `Enumeration` | `getAttributeNames()`
    `long` | `getCreationTime()`
    `String` | `getId()`
    `long` | `getLastAccessedTime()`
    `int` | `getMaxInactiveInterval()`
    `javax.portlet.PortletSession` | `getPortletSession()` Get the wrapped portlet session.
    `javax.servlet.ServletContext` | `getServletContext()`
    `javax.servlet.http.HttpSessionContext` | `getSessionContext()`
    `Object` | `getValue(String name)`
    `String[]` | `getValueNames()`
    `void` | `invalidate()`
    `boolean` | `isNew()`
    `void` | `putValue(String name, Object value)`
    `void` | `removeAttribute(String name)`
    `void` | `removeValue(String name)`
    `void` | `setAttribute(String name, Object value)`
    `void` | `setMaxInactiveInterval(int interval)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PortletHttpSession

          public PortletHttpSession(javax.portlet.PortletSession portletSession)

  - ### Method Detail

    - #### getAttribute

          public Object getAttribute(String name)

      Specified by:
        `getAttribute` in interface `javax.servlet.http.HttpSession`

    - #### getAttributeNames

          public Enumeration getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `javax.servlet.http.HttpSession`

    - #### getCreationTime

          public long getCreationTime()

      Specified by:
        `getCreationTime` in interface `javax.servlet.http.HttpSession`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `javax.servlet.http.HttpSession`

    - #### getLastAccessedTime

          public long getLastAccessedTime()

      Specified by:
        `getLastAccessedTime` in interface `javax.servlet.http.HttpSession`

    - #### getMaxInactiveInterval

          public int getMaxInactiveInterval()

      Specified by:
        `getMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

    - #### getServletContext

          public javax.servlet.ServletContext getServletContext()

      Specified by:
        `getServletContext` in interface `javax.servlet.http.HttpSession`

    - #### getSessionContext

          public javax.servlet.http.HttpSessionContext getSessionContext()

      Specified by:
        `getSessionContext` in interface `javax.servlet.http.HttpSession`
      Throws:
        `IllegalStateException` - Not supported in a portlet.
      See Also:
        `HttpSession.getSessionContext()`

    - #### getValue

          public Object getValue(String name)

      Specified by:
        `getValue` in interface `javax.servlet.http.HttpSession`

    - #### getValueNames

          public String[] getValueNames()

      Specified by:
        `getValueNames` in interface `javax.servlet.http.HttpSession`

    - #### invalidate

          public void invalidate()

      Specified by:
        `invalidate` in interface `javax.servlet.http.HttpSession`

    - #### isNew

          public boolean isNew()

      Specified by:
        `isNew` in interface `javax.servlet.http.HttpSession`

    - #### putValue

          public void putValue(String name,
                               Object value)

      Specified by:
        `putValue` in interface `javax.servlet.http.HttpSession`

    - #### removeAttribute

          public void removeAttribute(String name)

      Specified by:
        `removeAttribute` in interface `javax.servlet.http.HttpSession`

    - #### removeValue

          public void removeValue(String name)

      Specified by:
        `removeValue` in interface `javax.servlet.http.HttpSession`

    - #### setAttribute

          public void setAttribute(String name,
                                   Object value)

      Specified by:
        `setAttribute` in interface `javax.servlet.http.HttpSession`

    - #### setMaxInactiveInterval

          public void setMaxInactiveInterval(int interval)

      Specified by:
        `setMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

    - #### getPortletSession

          public javax.portlet.PortletSession getPortletSession()

      Get the wrapped portlet session.
      Returns:
        The wrapped portlet session.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.